Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_QoS_Session_Factory Class Reference

Concrete factory for the QoS Session objects. More...

`#include <QoS_Session_Factory.h>`

Collaboration diagram for ACE_QoS_Session_Factory:

[legend]
List of all members.

## Public Types
enum | ACE_QoS_Session_Type { ACE_RAPI_SESSION, ACE_GQOS_SESSION }
| Types of sessions for this factory to manage. More...
## Public Methods
| ACE_QoS_Session_Factory (void)
| Default constructor.
| ~ACE_QoS_Session_Factory (void)
| Default destructor.
ACE_QoS_Session* | create_session (ACE_QoS_Session_Type qos_session_type)
| Create a QoS session of the given type (RAPI or GQoS).
int | destroy_session (ACE_QoS_Session *qos_session)
| Destroy the QoS Session.
## Private Types
typedef ACE_Unbounded_Set< ACE_QoS_Session *> | QOS_SESSION_SET
| Unordered set of QoS Sessions.
## Private Methods
int | add_session (ACE_QoS_Session *qos_session)
| Used by the create_session () to add new sessions to the set of sessions created by this factory.
int | remove_session (ACE_QoS_Session *qos_session)
| Used by the destroy_session () to remove a session from the set of sessions created by this factory.
## Private Attributes
QOS_SESSION_SET | qos_session_set_

## Detailed Description

Concrete factory for the QoS Session objects.

This class manages the life cycle of QoS Session objects. These objects are currently either RAPI session objects or GQoS session objects. It stores the sessions in an unbounded set.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<ACE_QoS_Session *> ACE_QoS_Session_Factory::QOS_SESSION_SET`[private]`

| Unordered set of QoS Sessions.

## Member Enumeration Documentation

enum ACE_QoS_Session_Factory::ACE_QoS_Session_Type

  | Types of sessions for this factory to manage. Enumeration values:
  ACE_RAPI_SESSION |
  ACE_GQOS_SESSION |

## Constructor & Destructor Documentation

ACE_QoS_Session_Factory::ACE_QoS_Session_Factory ( | void )

| Default constructor.

ACE_QoS_Session_Factory::~ACE_QoS_Session_Factory ( | void )

| Default destructor.

## Member Function Documentation

int ACE_QoS_Session_Factory::add_session ( | ACE_QoS_Session * qos_session )`[private]`

| Used by the create_session () to add new sessions to the set of sessions created by this factory.

ACE_QoS_Session * ACE_QoS_Session_Factory::create_session ( | ACE_QoS_Session_Type qos_session_type )

| Create a QoS session of the given type (RAPI or GQoS).

int ACE_QoS_Session_Factory::destroy_session ( | ACE_QoS_Session * qos_session )

| Destroy the QoS Session.

int ACE_QoS_Session_Factory::remove_session ( | ACE_QoS_Session * qos_session )`[private]`

| Used by the destroy_session () to remove a session from the set of sessions created by this factory.

## Member Data Documentation

QOS_SESSION_SET ACE_QoS_Session_Factory::qos_session_set_`[private]`

The documentation for this class was generated from the following files:

- QoS_Session_Factory.h
- QoS_Session_Factory.cpp